Bug 25300 - Edit details in "Library use" section uses bad $op for Expiration Date
Summary: Edit details in "Library use" section uses bad $op for Expiration Date
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-28 01:57 UTC by David Cook
Modified: 2020-05-14 22:31 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 25300: Fix typo in "Edit details" for expiring/expired patron (3.38 KB, patch)
2020-04-28 02:03 UTC, David Cook
Details | Diff | Splinter Review
Bug 25300: Fix typo in "Edit details" for expiring/expired patron (3.56 KB, patch)
2020-04-28 04:59 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 25300: Fix typo in "Edit details" for expiring/expired patron (3.62 KB, patch)
2020-04-28 18:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2020-04-28 01:57:49 UTC
In the "Library use" section on the Details page for a patron for an expired/epiring patron, the "Edit details" link uses op=modify], which looks like it works (ie it doesn't explode), but it doesn't work.
Comment 1 David Cook 2020-04-28 02:03:43 UTC
Created attachment 103820 [details] [review]
Bug 25300: Fix typo in "Edit details" for expiring/expired patron

This patch removes a typo in the argument to the "op" parameter
for the "Edit details" link when editing an expiring/expired patron
on the Details page.

Test plan:
0. Do not apply patch yet
1. Create patron
2. Set expiry date to 3 days from now
3. Go to Details tab in patron record
4. Click "Edit details" in "Library use" section
5. Note the form is blank and has no patron data in it
6. Apply the patch
7. Reload the Details page in patron record
8. Click "Edit details" in "Library use" section
9. Note the form now contains your patron data and will
work for editing the details
Comment 2 Frédéric Demians 2020-04-28 04:59:59 UTC
Created attachment 103821 [details] [review]
Bug 25300: Fix typo in "Edit details" for expiring/expired patron

This patch removes a typo in the argument to the "op" parameter
for the "Edit details" link when editing an expiring/expired patron
on the Details page.

Test plan:
0. Do not apply patch yet
1. Create patron
2. Set expiry date to 3 days from now
3. Go to Details tab in patron record
4. Click "Edit details" in "Library use" section
5. Note the form is blank and has no patron data in it
6. Apply the patch
7. Reload the Details page in patron record
8. Click "Edit details" in "Library use" section
9. Note the form now contains your patron data and will
work for editing the details

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
See the typo, the bug before/after
Comment 3 David Cook 2020-04-28 05:44:18 UTC
Thanks, Frédéric!
Comment 4 Katrin Fischer 2020-04-28 18:52:02 UTC
Created attachment 103878 [details] [review]
Bug 25300: Fix typo in "Edit details" for expiring/expired patron

This patch removes a typo in the argument to the "op" parameter
for the "Edit details" link when editing an expiring/expired patron
on the Details page.

Test plan:
0. Do not apply patch yet
1. Create patron
2. Set expiry date to 3 days from now
3. Go to Details tab in patron record
4. Click "Edit details" in "Library use" section
5. Note the form is blank and has no patron data in it
6. Apply the patch
7. Reload the Details page in patron record
8. Click "Edit details" in "Library use" section
9. Note the form now contains your patron data and will
work for editing the details

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
See the typo, the bug before/after

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2020-04-29 15:25:43 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-05-08 22:33:04 UTC
Backported to 19.11.x for 19.11.06
Comment 7 Lucas Gass 2020-05-14 22:31:23 UTC
backported to 19.05.x for 19.05.11